//
//  HomeViewController.m
//  PagedScrollView
//
//  Created by 陈政 on 14-1-23.
//  Copyright (c) 2014年 Apple Inc. All rights reserved.
//

#import "HomeViewController.h"
#import "CycleScrollView.h"

@interface HomeViewController ()

@property (nonatomic , retain) CycleScrollView *mainScorllView;
//@property (nonatomic, retain) UIPageControl *aPageControl;

@end

@implementation HomeViewController


- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
  
    NSMutableArray *array = [NSMutableArray arrayWithCapacity:1]; // 主要用来计数用
    for (int i = 0; i < 6; ++i) {
        UIImageView *temp = [[UIImageView alloc] initWithFrame:CGRectMake(320 * i, 68, 320 , 400)];
        temp.image = [UIImage imageNamed:[NSString stringWithFormat:@"%d.png", i]];
        [array addObject:temp];
    }
    
    self.mainScorllView = [[CycleScrollView alloc] initWithFrame:CGRectMake(0, 68, 320, 460) animationDuration:2];
   // _mainScorllView.backgroundColor = [UIColor redColor];
    // 得到当前的视图
    __weak CycleScrollView *cyc = self.mainScorllView;
    cyc.fetchContentViewAtIndex = ^UIView *(NSInteger pageIndex){
   
        return [array objectAtIndex:pageIndex];
        
    };
    //  数据源：获取总的page个数
    self.mainScorllView.totalPagesCount = ^NSInteger(void){
        return [array count];
    };
    // 当点击的时候，执行的block
    self.mainScorllView.TapActionBlock = ^(NSInteger pageIndex){
        NSLog(@"++");
    };
    
     [self.view addSubview:self.mainScorllView];

    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
